/**
 *  SISTEMA DE DETECCIO DE MOVIMENTS SISMICS PER A DISPOSITIUS MOBILS                                                                                      *
 *  Treball final de Master en Programari Lliure (UOC) 
 *  (C) Copyright 2014 Jaime Anton Lopez Diaz (jlopezdia@uoc.edu)
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/******************************************************************************************
 * Classe: SismeException
 * 
 * Classe que gestiona les excepcions
 ******************************************************************************************/
package com.sisme.generic;

import java.io.Serializable;

public class SismeException extends Exception implements Serializable {
	
	/*-------------------------------------------------------------------------------------------
	 * Atributs
	 *-------------------------------------------------------------------------------------------*/
	private static final long serialVersionUID = 1L;

	
	/*-------------------------------------------------------------------------------------------
	 * Metodes constructors
	 *-------------------------------------------------------------------------------------------*/
	public SismeException() {
		super();
	}
	
	public SismeException(String strErr) {
		super("ERROR: " + strErr);
		SismeLog.addLog("ERROR: " + strErr);
	}

}
