/**
 *  SISTEMA DE DETECCIO DE MOVIMENTS SISMICS PER A DISPOSITIUS MOBILS                                                                                      *
 *  Treball final de Master en Programari Lliure (UOC) 
 *  (C) Copyright 2014 Jaime Anton Lopez Diaz (jlopezdia@uoc.edu)
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/******************************************************************************************
 * Classe: SismeRcvDataServiceBean
 * 
 * Servei per accedir a SismeRcvDataServiceBean de forma remota (Web Service)
 ******************************************************************************************/
package com.sisme.ws.interficies;

import javax.ejb.Remote;


@Remote
public interface SismeRcvDataService {

	/*-------------------------------------------------------------------------------------------
	 * Metodes
	 *-------------------------------------------------------------------------------------------*/
	
	// Adquisicio de les dades del moviment rebudes pel WebService
	public long rcvData (float latitud, float longitud, float intensitat, long dataHora, 
			float[] mostresX, float[] mostresY, float[] mostresZ, long[] mostresT);
	
}
